package speiger.src.coreengine.rendering.gui.renderer;

import speiger.src.coreengine.math.vector.quaternion.Quaternion;
import speiger.src.coreengine.rendering.guiOld.helper.box.IGuiBox;

public interface IUIRenderer {
	public boolean isInScissors(IGuiBox box);
	public void pushScissors(IGuiBox box);
	public void popScissors();
	
	public void flush();
	
	public void pushTransform();
	public void popTransform();
	
	public void translate(float z);
	public void translate(float x, float y);
	public void translate(float x, float y, float z);
	
	public void scale(float scale);
	public void scale(float x, float y);
	
	public void rotate(Quaternion rotation);
}
